<?php include "../index/conexion.inc" ?>
<?php include "../index/validacion.php" ?>
<!doctype html>
<html lang="es">
	<head>
		<?php include '../index/head.php'; ?>
		<script language="javascript">
			function recargar()
			{
				var v01 = $('input[name=desde]').val();
				var v02 = $('input[name=hasta]').val();
				var v03 = $('select[name=seleccion]').val();
				$('#recargado').html('<div class="d-flex justify-content-center"><img src="../images/loader.gif" width="150" alt="loading"/><br/>Un momento, por favor...</div>');
				$.post("log_d.php", { v1:v01, v2:v02, v3:v03}, function(data){$("#recargado").html(data);});
			}
		</script>
	</head>
	<body class="nav-md">
		<div class="container body">
			<div class="main_container">
				<?php include '../index/body.php'; ?>
				<div class="right_col" role="main">
				<div class="">
					<!-- page content -->
					<div class="clearfix"></div>
					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<form name="neo" class="form-vertical" method="POST" action="impresion.php?id=1" enctype="multipart/form-data" target="_blank">
								<div class="row">
									<div class="col-sm-2">
										<div class="form-group">
											<label>Fecha desde</label>
											<input type="date" class="form-control" value="<?php echo date('Y-m-d'); ?>" name="desde">
										</div>
									</div>
									<div class="col-md-2">
										<div class="form-group">
											<label>Fecha hasta</label>
											<input type="date" class="form-control" value="<?php echo date('Y-m-d'); ?>" name="hasta">
										</div>
									</div>
									<div class="col-sm-4">
										<div class="form-group">
											<label>Servicio</label>
											<select class="form-control" name="seleccion">
											<?php
												// conexión
												$servername = $svr_servidor;
												$conectioninfo = array("Database"=>"JoinIntegrador", "UID"=>$svr_usuario, "PWD"=>$svr_contrasena, "CharacterSet"=>"UTF-8");
												$conexion = sqlsrv_connect($servername, $conectioninfo);
												if ($conexion == false)
												{
													$mensaje = "Existe un error al intentar conectarse con el servidor...";
												}
												else
												{
													// CONSULTA SQL
													$sql = "SELECT CONVERT(NVARCHAR(254), CONVERT(VARCHAR, S.IdWS) + '.' + S.WS + ' - ' + S.Descripcion) AS Servicio, S.IdWS \n"
														  ."FROM ws_servicios AS S \n"
														  ."WHERE (Inactivo = 0) \n"
														  ."ORDER BY S.IdWS ASC";
													$pa1 = array();
													$op1 = array("scrollable" => SQLSRV_CURSOR_KEYSET);
													// Lanzar la consulta
													$re1 = sqlsrv_query($conexion, $sql, $pa1, $op1);
													while($fila = sqlsrv_fetch_array($re1))
													{
														echo "
														<option value = '".$fila['IdWS']."'>".$fila['Servicio']."</option>
														";
													}
													sqlsrv_free_stmt($re1);
												}
												sqlsrv_close($conexion);
											?>
											</select>
										</div>
									</div>
									<div class="col-md-4">
										<div class="form-group">
											<button type="button" class="btn btn-dark" onclick="recargar();">
												<span class="glyphicon glyphicon-search" aria-hidden="true"></span> Buscar
											</button>
										</div>
									</div>
								</div>
								<div class="row">
									<form name="neo02" class="form-vertical" method="POST" action="<?php echo $_SERVER['PHP_SELF']; ?>" enctype="multipart/form-data">
										<div class="col-xs-12" id="recargado">
										</div>
									</form>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php include '../index/footer.php'; ?>
		<?php include '../index/fbody.php'; ?>
	</body>
</html>
<script>
	var mipopup;
	function popup01(d01)
	{
		v01 = d01;
		posicion_x=(screen.width/2)-(600/2);
		posicion_y=(screen.height/2)-(600/2)-50;
		mipopup = window.open("trama.php?id="+v01, "neo", "width=600, Height=600, menubar=0, toolbar=0,directories=0,scrollbars=no,resizable=no,left="+posicion_x+",top="+posicion_y+"");
		mipopup.focus()
	}
	function popup02(d01)
	{
		v01 = d01;
		posicion_x=(screen.width/2)-(600/2);
		posicion_y=(screen.height/2)-(600/2)-50;
		mipopup = window.open("respuesta.php?id="+v01, "neo", "width=600, Height=600, menubar=0, toolbar=0,directories=0,scrollbars=no,resizable=no,left="+posicion_x+",top="+posicion_y+"");
		mipopup.focus()
	}
</script>